#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
@File    :   base_page_locator.py
@Time    :   2024/11/21 14:57:52
@Author  :   dulip3ng
@Version :   1.0
@Desc    :   None
'''

class BasePageLocator:

    #登录后页面上方账套名称显示位置
    BLANK_LOC = "//a[contains(@id, '-FBTNDATACENTER-FBTNDATACENTER')]"
    #错误信息相关定位
    ERROR_MESSAGE_LOC = "//*[contains(@id,'-POPFLOATEERRMESSAGE')]/div[1]/span"
    ERROR_MSG_BUTTON_LOC = "//*[contains(@id,'-POPFLOATEERRMESSAGE')]/div/button"
    ERROR_MESSAGE_DETAIL_LOC = "//span[@class = 'kd-msg-details']"
    WARNING_MESSAGE_LOC = "//*[contains(@id,'-POPFLOATEMESSAGE')]/div[1]/span"
    WARNING_MSG_BUTTON_ARGS_LOC = "//div[contains(@id,'-POPFLOATEMESSAGE')]/div[contains(@id, 'btn')]/button[text() = '%s']"